Kerbal Space Program - Bug #1921

subassembly struts (and probably fuel lines) are orphaned and do not reconnect
12/07/2013 02:37 PM - numerobis

Status: Closed Start date: 12/07/2013
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.22 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

To reproduce:

1. Build a craft with a bicoupler.

2. Put trusses on each side.

3. Put a strut from the left side to the right side.

4. Click on the left side truss and make it a subassembly.
5. Place the resulting subassembly back on the bicoupler.

The result is a strut that doesn't connect: the nub is there, but it doesn't touch the other truss. Saving the ship and reloading doesn't
fix it. The critical bit here is that the strut went FROM the part hierarchy we turned into a subassembly TO the rest of the ship. Struts
from one part to another within a subassembly work fine.

Inspecting the subassembly .craft file, it seems the strut is stored with a "cData = tgt: trussPiece3x_-1 ..." i.e. its target is a
trussPiece3x part with ID -1. When adding the subassembly into the ship, it's hard to tell exactly but it seems like
StrutConnector.onPartStart parses the cData, notices the target is invalid, stores null for the target, and prevents the raycast that
would normally occur.

More details here:
http:/forum.kerbalspaceprogram.com/threads/60872-1-m-sick-of-the-number-of-bugs-in-0-22?p=825312&viewfull=1#post825312

Various people report the same behavior for fuel lines, which | think | have noticed but didn't try hard to track down.

History

#1 - 07/17/2016 09:25 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 08/08/2016 12:40 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
